Bug 122903 - openGL is segmentation faulting, also causing machine hang
openGL is segmentation faulting, also causing machine hang
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-10 04:19 EDT by David Joo
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 07:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
an opengl tutorial (7.73 KB, text/plain)
2005-04-20 14:27 EDT, Justin
no flags Details

  None (edit)
Description David Joo 2004-05-10 04:19:31 EDT
Description of problem:
When a client is trying to run a program, openGL (or a part of) is
seg.faulting.


Version-Release number of selected component (if applicable):


How reproducible: Every time


Steps to Reproduce:
1. gcc -Wall -g -o crasher crasher.c -LX11 -lGL -lGLU -lglut -lm
2. ./crasher
3.
  
Actual results:
Segmentation Faults

Expected results:
Run without any problem

Additional info:
This is the error message that I get off gdb.

Program received signal SIGSEGV, Segmentation fault.
0x080488b3 in display ()

with -Wall -g option to gcc, I got following error messages in gdb;
Starting program: /junk/redhat/osgviewer/crasher
 
Program received signal SIGSEGV, Segmentation fault.
0x080488b3 in display () at crasher.c:17
17              ++(*p);



================Crasher.c=================================
#include <stdlib.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
 
void display( ) {
        char *p=0;
        glOrtho(-1, 1, -1, 1, -1, 1);
        glClearColor(0.5, 0.5, 0.5, 1);
        glClear(GL_COLOR_BUFFER_BIT);
        glColor3f(1, 0, 0);
        glBegin(GL_TRIANGLES);
        glVertex2f(-0.5, -0.5);
        glVertex2f( 0.5, -0.5);
        glVertex2f( 0 , 0.5);
        /* the next line causes the crash with an OpenGL context open */
        ++(*p);
        glEnd( );
        glFlush( );
}
 
int main (int argc, char *argv[])
{
        glutInit(&argc, argv);
        glutInitDisplayMode(GLUT_RGB);
        glutInitWindowSize(640, 480);
        glutCreateWindow("Hello World");
        glutDisplayFunc(display);
        glutMainLoop( );
        return(0);
}
================================================================
Comment 1 Neil Horman 2004-05-10 07:38:32 EDT
I'm closing this for now, and will reopen if a better test case is
provided.
Comment 2 Justin 2005-04-20 14:27:17 EDT
Created attachment 113427 [details]
an opengl tutorial
Comment 3 Justin 2005-04-20 14:31:34 EDT
I submitted an opengl tutorial that is a better example of something that will
hang the PC.

  I'm having the same problem, except my prog doesn't crash, it hangs the whole
machine.

  I've tried openglut, freeglut, and SDL.

  Steps to reproduct:
   Compile program (gcc -o prog prog.c -lGL -lglut|openglut -lGLU)
   run program
   Let it do it's thing for a few seconds .. give it 5 or 10 seconds
   Move your mouse over the titlebar for the window

    I can reproduce this error 100% of the time.

    Feel free to contact me if I can help in any way. I'd like to see this issue
resolved quickly.

   Thanks so much!

j
Comment 4 Mike A. Harris 2005-04-20 14:49:00 EDT
Hi Justin,

Red Hat Enterprise Linux support is provided by Red Hat Global Support
Services.  If you are a Red Hat Enterprise Linux customer with an
active support entitlement, you can receive support by logging into
the Red Hat Support website for assistance with the problem you are
experiencing.

    http://www.redhat.com/apps/support

If you have any other questions about Red Hat Enterprise Linux support,
you can also contact Red Hat support services via telephone at
1-888-REDHAT1.

Hope this helps.
Comment 5 Justin 2005-04-20 14:57:19 EDT
Um.
 Nope. Not really. I was actually trying to help you, and everyone who uses
redhat products.

  I don't use enterprise, I use fedora.

  Should I take it you have no interest in resolving this issue?
Comment 6 Neil Horman 2005-04-20 15:21:30 EDT
This works just fine for me with freeglut on my FC-3 system.  Are you by any
chance using non-open source video drivers?  nVidia or ATI provided driver
kernel modules?  
Comment 7 Justin 2005-04-20 15:31:49 EDT
hmm. That's strange.

  It must be a hardware or specific driver issue.
  On my workstation I'm running the radeon kernel driver. I'm using all FC3
distro stuff. Straight from the depos ;)
  
   It also crashes on my (admittedly old) laptop which is I believe is running a
neomagic driver... all open source.

    I'd love to give you a core dump, but .. I don't get one.
    Is there something I can do to help narrow down this issue?

Note You need to log in before you can comment on or make changes to this bug.